# Container

This page describes the Optimization Pack for the component type (Docker) Container.

## Metrics

| Metric                         | Unit     | Description                                                                                                                |
| ------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| container\_cpu\_util           | CPUs     | The number of CPUs (or fraction of CPUs) allowed for a container                                                           |
| container\_cpu\_used           | percents | CPUs used by the container per second                                                                                      |
| container\_cpu\_throttle\_time | CPUs     | CPUs used by the container per second                                                                                      |
| container\_cpu\_limit          | percent  | The number of CPUs (or fraction of CPUs) allowed for a container                                                           |
| container\_mem\_util\_nocache  | percent  | Percentage of memory used with respect to the limit. Memory used includes all types of memory, including file system cache |
| container\_mem\_util           | percent  | Percentage of working set memory used with respect to the limit                                                            |
| container\_mem\_used           | bytes    | The total amount of memory used by the container. Memory used includes all types of memory, including file system cache    |
| container\_mem\_limit          | bytes    | Memory limit for the container                                                                                             |
| container\_mem\_working\_set   | threads  | Current working set in bytes                                                                                               |
| container\_mem\_limit\_hits    | hits/s   | Number of times memory usage hits memory limit per second                                                                  |

## Parameters

| Parameter        | Type    | Unit      | Default | Domain          | Restart | Description                                              |
| ---------------- | ------- | --------- | ------- | --------------- | ------- | -------------------------------------------------------- |
| limits\_cpu      | integer | CPUs      | 0.7     | `0.1` → `100.0` |         | Limits on the amount of CPU resources usage in CPU units |
| requests\_cpu    | integer | megabytes | 0.7     | `0.1` → `100.0` |         | Limits on the amount of memory resources usage           |
| limits\_memory   | integer | CPUs      | 128     | `64` → `64000`  |         | Amount of CPU resources requests in CPU units            |
| requests\_memory | integer | megabytes | 128     | `64` → `64000`  |         | Amount of memory resources requests                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/docker-pack/container.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
